Skip to content

Create Endpoint

POST
/api/v1/net-worth-thresholds
curl --request POST \
--url https://example.com/api/v1/net-worth-thresholds \
--header 'Content-Type: application/json' \
--data '{ "target_amount": 1, "direction": "example", "enabled": true }'
Media typeapplication/json
NetWorthThresholdCreate
object
target_amount
required
Any of:
number
> 0
direction
required
Direction
string
/^(above|below)$/
enabled
Enabled
boolean
default: true

Successful Response

Media typeapplication/json
NetWorthThresholdOut
object
id
required
Id
integer
user_id
required
User Id
integer
target_amount
required
Target Amount
string
direction
required
Direction
string
enabled
required
Enabled
boolean
is_past
required
Is Past
boolean
projection_status
Projection Status
string
default: not_applicable
projected_date
Any of:
string format: date
monthly_change
Any of:
string
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time

Example

{
"projection_status": "not_applicable"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object

Example generated

{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}